from pcs.daemon.app.common import (
    BaseHandler,
    RoutesType,
)


class _WebuiInfoHandler(BaseHandler):
    __path = None

    def initialize(self, path):
        self.__path = path

    def get(self):
        self.set_status(404)
        self.render(self.__path)


def get_routes(path: str) -> RoutesType:
    return [
        # The following two rules can be compressed into one: r"/(ui/?)?".
        # However, the content of the parentheses used here should be captured
        # and passed in to the handler’s get method as an argument.
        # Unfortunately, it seems that tornado version 6.4.1 don't pass this
        # argument (unlike version 6.3.3). Maybe it's a bug (it needs further
        # inspection). These rules are a safe way to avoid surprises.
        # Moreover, the captured parameter is irrelevant to the functionality
        # of the handler.
        (r"/", _WebuiInfoHandler, dict(path=path)),
        (r"/ui/?", _WebuiInfoHandler, dict(path=path)),
        (r"/ui/.*", _WebuiInfoHandler, dict(path=path)),
    ]
